## GoLocaleSel

GoLocaleSel

## Synopsis

    #define             GO_LOCALE_SEL_TYPE
    #define             GO_LOCALE_SEL                       (obj)
    #define             IS_GO_LOCALE_SEL                    (obj)
                        GOLocaleSel;
    GType               go_locale_sel_get_type              (void);
    GtkWidget*          go_locale_sel_new                   (void);
    gchar*              go_locale_sel_get_locale            (GOLocaleSel *cs);
    gboolean            go_locale_sel_set_locale            (GOLocaleSel *cs,
                                                             const char *loc);
    void                go_locale_sel_set_sensitive         (GOLocaleSel *cs,
                                                             gboolean sensitive);
    const char*         go_locale_sel_get_locale_name       (GOLocaleSel *cs,
                                                             const char *loc);

## Description

## Details

### GO_LOCALE_SEL_TYPE

    #define GO_LOCALE_SEL_TYPE        (go_locale_sel_get_type ())

### GO_LOCALE_SEL()

    #define GO_LOCALE_SEL(obj)        (G_TYPE_CHECK_INSTANCE_CAST((obj), GO_LOCALE_SEL_TYPE, GOLocaleSel))

`obj` : |

### IS_GO_LOCALE_SEL()

    #define IS_GO_LOCALE_SEL(obj)     (G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_LOCALE_SEL_TYPE))

`obj` : |

### GOLocaleSel

    typedef struct _GOLocaleSel GOLocaleSel;

### go_locale_sel_get_type ()

    GType               go_locale_sel_get_type              (void);

Returns : |

### go_locale_sel_new ()

    GtkWidget*          go_locale_sel_new                   (void);

Returns : |

### go_locale_sel_get_locale ()

    gchar*              go_locale_sel_get_locale            (GOLocaleSel *cs);

`cs` : |
Returns : |

### go_locale_sel_set_locale ()

    gboolean            go_locale_sel_set_locale            (GOLocaleSel *cs,
                                                             const char *loc);

`cs` : |
`loc` : |
Returns : |

### go_locale_sel_set_sensitive ()

    void                go_locale_sel_set_sensitive         (GOLocaleSel *cs,
                                                             gboolean sensitive);

`cs` : |
`sensitive` : |

### go_locale_sel_get_locale_name ()

    const char*         go_locale_sel_get_locale_name       (GOLocaleSel *cs,
                                                             const char *loc);

`cs` : |
`loc` : |
Returns : |